## mbrola 3.01h+2

=== debian/changelog ===
mbrola (3.01h+2-3) unstable; urgency=medium

  * Make mbrola wrapper for libstrongexit.so simpler. espeak seems to be
    looking at mbrola's state, and does not like to see it sleeping, waiting
    for dpkg-architecture's output... (Closes: 857501).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Mar 2017 02:29:45 +0100

mbrola (3.01h+2-2) unstable; urgency=medium

  * Add libstrongexit.so workaround. mbrola crashes on exit() cleanup, so
    don't bother trying to exit cleanly, mbrola does close the output file
    fine anyway (Closes: #856331).
    - install: install libstrongexit.so and wrapper script to use it
    - control:
      - build-depend on gcc-multilib on amd64 for cross-compiling 32bit
      libstrongexit.so
      - build-depend on dh-exec for multiarch path
      - depend on dpkg-dev for multiarch path at exec.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 28 Feb 2017 14:26:24 +0100

mbrola (3.01h+2-1) unstable; urgency=medium

  * Add armhf build from upstream (Closes: 839021).
  * control: Bump Standards-Version to 3.9.8 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Sep 2016 09:21:27 +0200
