=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: non-free/sound
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9), unzip, libc6-i386 [amd64] | libc6:i386 [amd64]
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), dh-exec (>= 0.3), unzip, libc6-dev-i386 [amd64] | libc6-dev:i386 [amd64], gcc-multilib [amd64]
+Standards-Version: 3.9.8
 Homepage: http://tcts.fpms.ac.be/synthesis/
 XS-Autobuild: yes
 
 Package: mbrola
-Architecture: i386 amd64 alpha powerpc sparc armel
+Architecture: i386 amd64 alpha powerpc sparc armel armhf
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends} [!amd64], libc6:i386 [amd64] | libc6-i386 [amd64]
 Suggests: mbrola-voice, espeak, cicero
