=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,10 @@
 	dh $@
 
 DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 README_ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
 
+TARBALL=
 ZIPBALL=
 RARBALL=
 
@@ -16,7 +18,9 @@
 
 ifeq ($(DEB_HOST_ARCH),amd64)
 ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
+# See end of README.Debian
 FILENAME=unpacked/mbrola-linux-i386
+CFLAGS+=-m32
 endif
 
 ifeq ($(DEB_HOST_ARCH),alpha)
@@ -44,14 +48,30 @@
 endif
 endif
 
+ifeq ($(DEB_HOST_ARCH),armhf)
+TARBALL=mbrola.tgz
+FILENAME=unpacked/mbrola
+endif
+
 unpack:
+ifneq ($(TARBALL),)
+	mkdir unpacked
+	tar -x -C unpacked -f zipballs/$(TARBALL)
+else
 ifneq ($(ZIPBALL),)
 	unzip -u -d unpacked zipballs/$(ZIPBALL)
-else
+endif
+endif
 	unzip -u -d unpacked zipballs/$(README_ZIPBALL)
-endif
 
 override_dh_auto_build: unpack
 	cp -f $(FILENAME) mbrola
 	chmod u+w,+x mbrola
 	strip mbrola
+	$(MAKE) -C debian/strongexit
+
+override_dh_auto_clean:
+	$(MAKE) clean -C debian/strongexit
+
+override_dh_shlibdeps:
+	dh_shlibdeps -- -e debian/mbrola/usr/lib/$(DEB_HOST_MULTIARCH)/mbrola/mbrola
