## mbrola 3.01h-6maemo1

=== debian/changelog ===
mbrola (3.01h-6maemo1) unstable; urgency=low

  * Give it a try (1st Maemo port) ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Thu, 25 Apr 2013 23:37:09 +0200
