=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: non-free/sound
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 10), dh-exec (>= 0.3), unzip, libc6-dev-i386 [amd64] | libc6-dev:i386 [amd64], gcc-multilib [amd64]
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 7), unzip, libc6-i386 [amd64]
+Standards-Version: 3.9.1
 Homepage: http://tcts.fpms.ac.be/synthesis/
-XS-Autobuild: yes
 
 Package: mbrola
-Architecture: i386 amd64 alpha powerpc sparc armel armhf
+Architecture: i386 alpha powerpc sparc armel amd64
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends} [!amd64], libc6:i386 [amd64] | libc6-i386 [amd64]
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: mbrola-voice, espeak, cicero
 Description: Multilingual software speech synthesizer
  Mbrola is Thierry Dutoit's phonemizer for multilingual speech synthesis. The
