=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
README_ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip

ifeq ($(DEB_HOST_ARCH),i386)
ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
FILENAME=mbrola-linux-i386
endif

ifeq ($(DEB_HOST_ARCH),amd64)
ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
FILENAME=mbrola-linux-i386
endif

ifeq ($(DEB_HOST_ARCH),alpha)
ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
FILENAME=mbrola-linux-alpha
endif

ifeq ($(DEB_HOST_ARCH),powerpc)
ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
FILENAME=mbrola302b-linux-ppc
endif

ifeq ($(DEB_HOST_ARCH),sparc)
ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
FILENAME=mbrola-SuSElinux-ultra1.dat
endif

ifeq ($(DEB_HOST_ARCH),armel)
ZIPBALL=mbr301h_arm.zip
FILENAME=mbrola-linux-strongarm2-static
endif

unpack:
	unzip -u -d unpacked zipballs/$(ZIPBALL)

mbrola: unpack
	cp -f unpacked/$(FILENAME) mbrola
	chmod u+w,+x mbrola
	strip mbrola

build-arch: mbrola

build: build-arch

binary-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_install mbrola usr/bin
	dh_installdocs
	dh_installman
	dh_installchangelogs
	dh_installexamples
	dh_shlibdeps
	dh_compress
	dh_fixperms
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-arch

clean:
	dh_testdir
	dh_clean
	rm -f mbrola
	rm -fr unpacked
