## mbrola 3.02b+dfsg

=== debian/changelog ===
mbrola (3.02b+dfsg-5) unstable; urgency=medium

  * {control,copyright}: Update upstream website URL.
  * watch: Add watch file.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Generalize pattern.
  * patches/endian: Fix endian detection (Closes: Bug#943886).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 Oct 2019 13:45:38 +0100

mbrola (3.02b+dfsg-4) unstable; urgency=medium

  * tests/control: Fix AUTOPKGTEST_TMP variable name (Closes: Bug#914990).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 29 Nov 2018 13:34:59 +0100

mbrola (3.02b+dfsg-3) unstable; urgency=medium

  * clean: Fix removing tmp (Closes: Bug#914903).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Nov 2018 14:54:32 +0100

mbrola (3.02b+dfsg-2) unstable; urgency=medium

  * control: Add Vcs URLs.
  * copyright: Update upstream URL.
  * patches/glibc: Fix build on ppc64el and !linux.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Oct 2018 13:17:53 +0100

mbrola (3.02b+dfsg-1) unstable; urgency=medium

  * New upstream release, now free software!! (but still depend on non-free
    voices).
    - copyright: Update, notably to AGPL2+.
    - control: Move to contrib section. Only build-depend on debhelper and
    lyx, texlive-latex-base, texlive-fonts-recommended, ghostscript,
    tex4ht. Build on any arch. Only depend on shlibs deps.
    - install: Only install mbrola binary.
    - rules: Clear. Add documentation build and test override.
    - docs: Update.
    - clean: Update.
    - strongexit/: Remove.
  * control: Bump Standards-Version to 4.2.0
  * tests/control: Add autopkgtest.
  * mbrola-voice-package-generate: Add autopkgtest to voice packages. Fix
    package generation. Fix upstream URL.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 Oct 2018 04:18:53 +0200
