=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: mbrola
-Section: non-free/sound
+Section: contrib/sound
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 7), unzip, libc6-i386 [amd64]
-Standards-Version: 3.9.1
-Homepage: http://tcts.fpms.ac.be/synthesis/
+Build-Depends: debhelper (>= 10), lyx, texlive-latex-base, texlive-fonts-recommended, ghostscript, tex4ht
+Standards-Version: 4.4.0
+Homepage: https://github.com/numediart/MBROLA
+Vcs-Browser: https://salsa.debian.org/tts-team/mbrola.git
+Vcs-Git: https://salsa.debian.org/tts-team/mbrola.git
+XS-Autobuild: yes
 
 Package: mbrola
-Architecture: i386 alpha powerpc sparc armel amd64
+Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: mbrola-voice, espeak, cicero
