=== debian/tests/control ===
Depends: mbrola, mbrola-fr4
Test-Command: mbrola /usr/share/mbrola/fr4/fr4 /usr/share/doc/mbrola-fr4/examples/hier.pho $AUTOPKGTEST_TMP/hier.wav
