=== debian/watch ===
version=3
https://github.com/numediart/MBROLA/releases /numediart/MBROLA/archive/releases/@ANY_VERSION@@ARCHIVE_EXT@
