## mbrola 3.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: contrib/sound
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 10), lyx, texlive-latex-base, texlive-fonts-recommended, ghostscript, tex4ht
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), lyx:native, texlive-latex-base, texlive-fonts-recommended, ghostscript, tex4ht
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://github.com/numediart/MBROLA
 Vcs-Browser: https://salsa.debian.org/tts-team/mbrola.git
 Vcs-Git: https://salsa.debian.org/tts-team/mbrola.git
@@ -13,7 +14,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: mbrola-voice, espeak, cicero
+Suggests: mbrola-voice, espeak-ng | espeak, cicero
 Description: Multilingual software speech synthesizer
  Mbrola is Thierry Dutoit's phonemizer for multilingual speech synthesis. The
  various diphone databases are distributed on separate packages, but they
@@ -28,3 +29,12 @@
  .
  Use Mbrola along with Freephone, cicero or espeak to have a complete
  text-to-speech in English.
+
+Package: mbrola-udeb
+Section: contrib/debian-installer
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: mbrola
+Description: Mbrola speech synthesis
+ This is the mbrola speech synthesis for the Debian installer.
+Package-Type: udeb
