=== debian/changelog ===
mbrola (3.3+dfsg-9) unstable; urgency=medium

  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Use canonical URL in Vcs-Browser.
  * watch: Use tags instead of releases.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Oct 2022 12:32:14 +0200

mbrola (3.3+dfsg-8) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Oct 2021 13:29:32 +0200

mbrola (3.3+dfsg-7) experimental; urgency=medium

  * control: Make lyx build-dep :native.
  * patches/parallel: Fix parallel build.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Oct 2021 10:29:55 +0200

mbrola (3.3+dfsg-6) experimental; urgency=medium

  * Add mbrola-udeb package.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 20 Aug 2021 13:12:44 +0200

mbrola (3.3+dfsg-5) unstable; urgency=medium

  * control: Set Rules-Requires-Root to no.
  * mbrola-voice-package-generate: Set Rules-Requires-Root to no in voices
    packages.
  * gbp.conf: Use filter to automatically clean upstream tarball.
  * patches/EOF: Fix detecting end of file.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 20 Aug 2021 00:55:39 +0200

mbrola (3.3+dfsg-4) unstable; urgency=medium

  * patches/flags: Fix passing hardening flags.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 17:16:15 +0100

mbrola (3.3+dfsg-3) unstable; urgency=medium

  * Suggest espeak-ng in addition to espeak.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * control: Bump debhelper compat to 12.
  * rules: Fix double-build.
  * patches/intr: Fix applying patch and fix patch.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 Nov 2020 00:03:37 +0100

mbrola (3.3+dfsg-2) unstable; urgency=medium

  * patches/intr: Fix spurious exit on speech interruption by espeakup.
  * watch: Add dfsg version mangling.
  * source/lintian-overrides: Remove, we build native mbrola nowadays.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 14 Jun 2020 23:45:47 +0200

mbrola (3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/endian: Upstreamed.
    - patches/getopt: Upstreamed.
  * watch: Fix new upstream location.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Apr 2020 00:49:27 +0200
