=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper-compat (= 12), lyx:native, texlive-latex-base, texlive-fonts-recommended, ghostscript, tex4ht
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/numediart/MBROLA
-Vcs-Browser: https://salsa.debian.org/tts-team/mbrola.git
+Vcs-Browser: https://salsa.debian.org/tts-team/mbrola
 Vcs-Git: https://salsa.debian.org/tts-team/mbrola.git
 XS-Autobuild: yes
