=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(@ANY_VERSION@@ARCHIVE_EXT@)/mbrola-$1/,dversionmangle=s/\+dfsg$// \
https://github.com/numediart/MBROLA/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
